--[[
Author: neo
Date: 2021-05-27 11:56:14
LastEditTime: 2021-05-27 19:20:29
LastEditors: Please set LastEditors
Description: 游戏业务节点分配服
--]]
local skynet = require "skynet"
require "skynet.manager"
local init_nodes = require("init_nodes")

skynet.start(
    function()
        -- 初始化控制台
        init_nodes:init_console()

        -- 日志
        init_nodes:init_logger()
        -- 数据库
        init_nodes:init_mysql()
        -- redis
        init_nodes:init_redis()
        -- 配置
        init_nodes:init_config()

        skynet.uniqueservice("srvNodeMgr")

        -- 集群
        init_nodes:init_cluster()

        skynet.exit()
    end
)
